Bug 256501 - mysql 5.0.22 still has a lot of bugs ; need upgrade
mysql 5.0.22 still has a lot of bugs ; need upgrade
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mysql (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
http://bugs.mysql.com/bug.php?id=24261
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 10:12 EDT by Silecs SARL
Modified: 2013-07-02 23:14 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2008-0364
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:23:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Silecs SARL 2007-08-27 10:12:01 EDT
Description of problem:
MySQL crash when WHERE contains NOT IN ('<negative value>') for unsigned column 
type
(upstream bug #24261)

Version-Release number of selected component (if applicable): 5.0.22 till 5.0.35


How reproducible:
see http://bugs.mysql.com/bug.php?id=24261


Additional info:
please provide update package to 5.0.45
Comment 2 RHEL Product and Program Management 2007-10-15 23:43:51 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Jay Turner 2007-11-30 02:03:50 EST
QE will need assistance with validation efforts on the package rebase.  What
testing has occurred on the 5.0.45 codebase?  Are there results somewhere we can
review in order to fill out our internal test plans?
Comment 5 Tom Lane 2007-11-30 09:58:44 EST
Well, the rest of the world, including Fedora 7 and 8, has been using 5.0.45 for awhile.  Given that MySQL 
AB stopped treating 5.0.x as a development branch (finally) awhile ago, I think we can assume that new 
releases are more stable than old ones, not less.
Comment 9 errata-xmlrpc 2008-05-21 11:23:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0364.html

Note You need to log in before you can comment on or make changes to this bug.